DeployR 7.3 komponenti un versijas

Tas nav neparasti dod priekšroku DeployR izvietot savu esošo Apache Tomcat vai MongoDB infrastruktūru, nevis instalēt Tomcat un MongoDB komponentu DeployR instalēšana nodrošina uzņēmumā. To var izdarīt, bet šim jāņem vērā:

MongoDB

DeployR 7.3 ir pārbaudīts un atbalsta MongoDB 2.4.5. Vecākas versijas MongoDB DeployR nedarbosies. Izmantot citu instalācijas MongoDB uzņēmumā, vispirms DeployR 7.3 instalēšana un pēc tam dump noklusējuma datu bāzes DeployR ir noklusējuma MongoDB instalācijas un atjaunotu instalāciju, izmantojot mongorestore. Pēc tam konfigurējiet jaunu MongoDB instalācijas deployr.groovy savienojums.

Apache Tomcat

Tiek pārbaudīts un atbalsta Apache Tomcat 7.0.34 DeployR 7.3. DeployR izmanto tīmekļa ligzdas. Tādēļ vismaz jāizmanto runcis 7.0.27. Kādas darbības pirms 7.0.27 pārtrauks DeployR funkcionalitāti.

Runcis konfigurācija:

DeployR darbībai vienā porti izmantojam pēc noklusējuma un pēc tam jums būs uzņemt noklusējuma server.xml, kas ir iekļauta DeployR savienotājs datus. Pretējā gadījumā vismaz jums būs nepieciešams modificēt porta kartēšanas atrast atbilstoši pašreizējo runcis savienotāja konfigurāciju failā deployr.groovy:

grails.plugin.springsecurity.portMapper.httpPort=7300 
grails.plugin.springsecurity.portMapper.httpsPort=7301

7300 un 7301 portu numurus vajadzēs atjaunināti, lai atbilstu izmantojat portus.

Jums arī vajadzēs mainīt catalina.sh vai nodrošināt atbilstošu, izmantojot atbilstošu JAVA_OPTS Java kaudze piešķirti DeployR catalina.bat. Ir pieejami catalina.sh/bat, kas ir iekļauta DeployR šīs noklusējuma vērtības.

Visbeidzot, kaut vides REVODEPLOYR_HOME vides mainīgais ir jāiestata.

Vai nepieciešama papildu palīdzība?

Paplašiniet savas prasmes
Iepazīties ar apmācību
Esiet pirmais, kas saņem jaunās iespējas
Pievienoties Microsoft Insider

Vai šī informācija bija noderīga?

Paldies par jūsu atsauksmēm!

Paldies par atsauksmēm! Šķiet, ka jums varētu būt noderīgi sazināties ar kādu no mūsu Office atbalsta speciālistiem.

×